@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

:root {
  --primary-color: #5598fd00;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
body {
  display: grid;
  grid-template-rows: repeat(2, 0fr);
  gap: 10px;
  justify-content: center;
  min-height: 100vh;
  min-width: 1000px;

  padding: 50px;
  background: var(--primary-color);
  /* background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("https://cdn.kibrispdr.org/data/1765/gambar-awan-bergerak-59.gif"); */
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.2));
  /* background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("https://wallpapers-clan.com/wp-content/uploads/2024/03/starfall-night-sky-mountains-aesthetic-gif-cover-desktop-wallpaper.gif"); */
  background-size: cover;
  background-position: center;
  transition: background-image 0.3s ease;
}

img {
  width: 100%;
  /* padding-top: 60px; */
  
}
.wrapper-all {
  height: fit-content;
}
.wrapper {
  display: flex;
  width: 1200px;
  min-width: 250px;
  border-radius: 20px;
  overflow: hidden;
}
.wrapper2 {
  display: flex;
  margin-top: 10px;
  width: 1200px;
  min-width: 250px;
  border-radius: 20px;
  overflow: hidden;
}

.sidebar {
  width: 30%;

  min-width: 250px;
  padding: 20px;
  background: rgba(255, 255, 255, 0.75);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.head-card {
  width: 231px;
  height: 500px;
  min-height: 100px;
  border-radius: 15px;
  border-color: #fff;

  background: linear-gradient(to bottom, #2ebef7, #ffffff);
  text-align: center;
  padding: 0px 0px;
  padding-top: 0px;
  display: flex;
  margin-bottom: 60px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}
#alertError {
  position: absolute;

  z-index: 1; /* Menetapkan nilai z-index agar tidak disembunyikan oleh konten lain di atasnya */
  top: 25px; /* Atur jarak dari bagian atas */
  right: 0px; /* Atur jarak dari bagian kanan */
  display: none;
  /* z-index: 1000; Pastikan notifikasi muncul di atas konten lain */
}
#alertSuccess {
  position: absolute;

  z-index: 1; /* Menetapkan nilai z-index agar tidak disembunyikan oleh konten lain di atasnya */
  top: 20px; /* Atur jarak dari bagian atas */
  right: 20px; /* Atur jarak dari bagian kanan */
  display: none;
  /* z-index: 1000; Pastikan notifikasi muncul di atas konten lain */
}

#reportrange {
  background: #ffffff;
  cursor: pointer;
  padding: 5px 10px;
  border: 1px solid #ff000000;
  border-radius: 10px;
  width: 100%;
  font-size: 13px;
  display: flex;
  align-items: center;
}

#rangeOption {
  width: 135px;
  margin-left: 10px;
  border-radius: 5px;
}

#customRange {
  display: none;
  margin-top: 50px;
}

#startDate {
  font-size: 12px;
  margin-bottom: 5px;
}
#endDate {
  font-size: 12px;
}

.weather-icon {
  width: 100%;
  height: 100px;
  text-align: center;
  margin-top: 20px;
  margin-bottom: 100px;
  min-height: 240px;
  /* biar gaberubah tulisan prediksi tambahin min-height: ; */
}
.weather-icon #icon {
  width: 80%;
  object-fit: cover;
}
.predict {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: Arial, sans-serif;
}
#result {
  padding: 10px;
  padding-bottom: 20px;
  border-radius: 5px;
  white-space: nowrap; /* Prevents text from wrapping */
  text-align: center; /* Centers text */
  font-size: 32px;
  font-weight: 100;
  line-height: 0;
}
.divider {
  width: 100%;
  border-width: 1px;
  line-height: 2px;
  height: 1px;
  background: #000000;
  margin: 20px 0;
}

.main {
  width: 100%;
  min-width: 400px;
  padding: 20px 40px;
  /* background-color: #f6f6f8; */
  background-color: rgba(255, 255, 255, 0.815);
  position: relative;
  justify-content: center;
  align-items: center;
  /* padding-bottom: 25px; */
}

.main2 {
  width: 100%;
  display: grid;
  grid-template-rows: repeat(2, 0fr);
  gap: 10px;
  min-width: 400px;
  padding: 20px 40px;
  /* background-color: #f6f6f8; */
  background-color: rgba(255, 255, 255, 0.815);
  position: relative;
  padding-left: 30px;
}

.quality-card {
  background-image: linear-gradient(
      rgba(255, 255, 255, 0.6),
      rgba(255, 255, 255, 0.9)
    ),
    url("https://images.unsplash.com/photo-1499346030926-9a72daac6c63?q=80&w=2070&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D");
  background-size: cover;
  background-position: center;
  /* border: 1px solid #ff000000;
  border-radius: 10px; */
}

.cards-gas {
  display: grid;
  grid-template-columns: repeat(2, 0fr);
  /* background-color: tomato; */
  justify-content: center;
  position: relative;
  align-items: center;
}

.top-card {
  display: grid;
  grid-template-columns: repeat(2, 0fr);
  gap: 20px;
}
.bot-card {
  display: flex;
  margin-top: 20px;
  /* height: 300px; */
  padding: 10px 10px 10px 10px;
  border-radius: 15px;
  background-color: rgba(255, 255, 255, 0.815);
  position: relative;
  padding-left: 30px;
}

.summary {
}

.main nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.main nav .options {
  display: flex;
  gap: 20px;
  align-items: center;
}
.main nav .options button {
  border: none;
  background: none;
  font-size: 12px;
  font-weight: 600;
  color: #495057;
  cursor: pointer;
  text-transform: capitalize;
}
.main nav .options button.active {
  color: var(--primary-color);
}

.main nav .units button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: #1a1a1a;
  background-color: #fff;
}
.main nav .units button.active {
  color: #fff;
  background-color: #1a1a1a;
}

.main .cards {
  display: flex;
  /* flex-wrap: wrap; */
  gap: 20px;
  margin-top: 0px;
  /* display: flex; */
  flex-wrap: nowrap; /* Agar kartu tetap dalam satu baris */
  overflow-x: hidden; /* Agar bisa scroll */
  scroll-snap-type: x mandatory; /* Agar snap ke posisi tertentu saat scroll */
  padding: 10px;
}

.cards .card {
  width: 100px;
  height: 140px;
  border-radius: 15px;
  border-color: #fff;
  color: #1a1a1a;
  background-color: #fff;
  text-align: center;
  padding: 10px 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 0 0 auto;
  scroll-snap-align: start; /* Agar kartu selalu mulai dari awal */
  transition: transform 0.6s ease;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2); /* Bayangan dengan warna dan ukuran yang disesuaikan */
}

.card h2 {
  font-size: 15px;
  font-weight: 600;
}
.card .card-icon {
  width: 50%;
  margin: 0 auto;
}
.card .day-temp {
  font-size: 14px;
  justify-content: center;
  display: flex;
}
.highlights {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 10px;
}
.highlights .heading {
  width: 100%;
  font-size: 20px;
  font-weight: 600;
  text-transform: capitalize;
}

.card2 {
  width: 110px;
  height: 40px;
  border-radius: 20px;
  color: #1a1a1a;
  background-color: #ffffff00;
  padding: 20px 10px;
  padding-top: 0px;
  padding-bottom: 0px;
  display: flex;
  margin-top: 20px;
  flex-direction: column;
}

.card-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 0px; /* Adjust the gap between cards as needed */
  justify-content: center;
  align-items: center;
  margin: 6px; /* Adjust the margin around the grid as needed */
}

.card-container .card2 .card-heading {
  color: #21252950;
  font-size: 12px;
  text-align: left;
}

.card-container .card2 .content {
  margin-top: 0px;
  padding-top: 0px;
  display: flex;
  align-items: center;
}

.card2 .content svg {
  margin-left: 1px;
}

.card2 .content p:first-child {
  text-align: center;
  margin: 0 5px 0 0;
  font-weight: 500;
  font-size: 12px;
}
.card2 .content p:nth-child(2) {
  font-size: 12px;
  margin-top: 20px;
  text-align: center;
}

.head2-card {
  width: 100%;
  height: 100%;
  min-height: 100%;
  border-radius: 15px;
  border-color: #fff;
  /* background: #ffffffbe; */
  /* background: #fe6a69; */
  background-image: linear-gradient(
      rgba(255, 255, 255, 0.7),
      rgba(255, 255, 255, 0.7)
    ),
    url("https://images.unsplash.com/photo-1499346030926-9a72daac6c63?q=80&w=2070&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D");
  background-size: cover;
  background-position: center;
  text-align: center;
  padding: 0px 0px;
  padding-top: 0px;
  display: grid;
  grid-template-rows: repeat(4, 1fr);
  gap: 0px;
  margin-top: 15px;
  margin-bottom: 0px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.ket-all {
  width: 100%;
  height: 280px;
  min-height: 280px;
  border-radius: 15px;
  border-color: #fff;
  background: tomato;
  background-image: linear-gradient(
      rgba(255, 255, 255, 0.7),
      rgba(255, 255, 255, 0.7)
    ),
    url("https://images.unsplash.com/photo-1499346030926-9a72daac6c63?q=80&w=2070&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D");

  text-align: center;
  padding: 0px 0px;
  padding-top: 0px;
  display: grid;

  margin-top: 15px;
  margin-bottom: 0px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}
.gas-card {
  font-family: "Nunito Sans", sans-serif;
  width: 540px;
  height: 60px;
  min-height: 60px;
  border-radius: 15px;

  margin-top: 14px;
  margin-left: 25px;

  text-align: center;
  padding: 0px 0px;
  padding-top: 0px;
  display: flex;
  margin-bottom: 0px;
}
.gas-card-img {
  width: 100px;
  margin-left: 10px;
}
/* .gas-card-value {
  padding: 0px 0px 0px 0px;
} */

.gas-card p:first-child {
  font-size: 20px;

  font-weight: 600px;
  color: #212529;
  text-transform: capitalize;
  margin: 0 0px 0 0;
}
.gas-card p:nth-child(2) {
  font-size: 16px;

  font-weight: 100px;
  margin-bottom: 0px;
  color: #4a4747;
  text-transform: capitalize;
  /* background-color: tomato; */
}

.gas-card-condition {
  width: auto;
  height: 40px;
  min-height: 40px;
  padding: 5px 5px 5px 5px;
  margin-top: 0px;
  margin-left: 0px;
  /* background-color: rgba(213, 213, 213, 0.5); */
  object-fit: cover;
  text-align: center;
  justify-content: center;
  position: relative;
  border-radius: 10px;
}
.good-bg {
  background-color: #4caf50; /* Warna hijau untuk kondisi GOOD */
  border-radius: 10px;
  padding: 10px 10px 10px 10px;
}

.moderate-bg {
  background-color: #ffc107; /* Warna kuning untuk kondisi MODERATE */
  border-radius: 10px;
  padding: 10px 10px 10px 10px;
}

.unhealthy-bg {
  background-color: #f44336; /* Warna merah untuk kondisi UNHEALTHY */
  border-radius: 10px;
  padding: 10px 10px 10px 10px;
}

.very-unhealthy-bg {
  background-color: #9c27b0; /* Warna ungu untuk kondisi VERY UNHEALTHY */
  border-radius: 10px;
  padding: 10px 10px 10px 10px;
}

.hazardous-bg {
  background-color: #607d8b; /* Warna abu-abu untuk kondisi HAZARDOUS */
  border-radius: 10px;
  padding: 10px 10px 10px 10px;
}

.gas-card-real {
  width: 150px;
  height: 30px;
  min-height: 40px;
  margin-top: 25px;
  margin-left: 25px;
}
.gas-card-ket {
  font-family: "Nunito Sans", sans-serif;
  font-size: 14px;
  width: 190px;
  height: 0px;
  min-height: 0px;

  margin-top: 25px;
  margin-left: 25px;

  text-align: center;
  padding: 0px 0px;
  padding-top: 0px;
  margin-top: 0px;
}

.gas-card-time {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0px;
  width: 120px;
  height: 60px;
  min-height: 60px;
  margin-top: 0px;
  margin-left: 300px;

  color: #ffa500;

  text-align: center;
  padding: 0px 0px;
  padding-top: 0px;
  font-family: "Nunito Sans", sans-serif;
  margin-top: 0px;
}

.center {
  text-align: center;
  font-size: 36px;
  flex-grow: 1;
}

.center-main {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.download {
  margin-left: auto;
}

.date-time {
  display: flex;
  font-size: 13px;
  padding-top: 10px;
  font-weight: 100px;
  opacity: 55%;
  /* background-color: antiquewhite;  */
}
.date-time #date-time {
  font-size: 20px;
  opacity: 70%;
  padding: 10px;
  font-weight: 100;
  line-height: 0;
  margin-left: 40px;
}

.chart-container {
  width: 100%; /* Atur lebar sesuai keinginan Anda */
  height: 100%;
  max-width: 1200px; /* Atur lebar maksimum sesuai keinginan Anda */
  max-height: 300px;
  margin: auto; /* Pusatkan elemen dalam layar */
  /* background: #ffffff70; */
  /* box-shadow: 0 0px 1px rgba(0, 0, 0, 1); */
  border-radius: 20px;
  margin-top: 10px;
  padding: 10px 10px 10px 10px;
}

#chartSelector {
  /* background-color: azure; */
  border-radius: 5px;
  position: relative;
  /* border: 1px solid; */
  font-size: 14px;
  margin-left: 5px;
}

.menu {
  display: flex;
  align-items: center;
}
/* Atur slideshow container */
.slideshow-container {
  position: relative;
}

/* Atur posisi tombol navigasi */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: rgb(215, 215, 215);
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
}

/* Atur posisi tombol navigasi kiri */
.prev {
  left: 0;
  border: rgba(255, 255, 255, 0.8);
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 500px;
}

.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Atur posisi tombol navigasi kanan */
.next {
  right: 0;
  border: rgba(255, 255, 255, 0.8);
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 500px;
}

.footer {
  /* justify-content: center; */
  padding-top: 2px;
}

/* @media screen and (max-width: 500px) {
} */
